### org.jfree.layouting.renderer.border

# Class RenderLength

- `java.lang.Object`
- - `org.jfree.layouting.renderer.border.RenderLength`

`public class RenderLength`
`extends java.lang.Object`

Creation-Date: 09.07.2006, 21:03:12

Author:
  Thomas Morgner

  ## Field Summary

  `static RenderLength`

  `AUTO`

  `static RenderLength`

  `EMPTY`

  ## Constructor Summary

  `RenderLength(long value, boolean percentage)`

  ## Method Summary

  `static RenderLength`

  `convertToInternal(CSSValue value, LayoutContext layoutContext, OutputProcessorMetaData metaData)`

  `boolean`

  `equals(Object o)`

  `long`

  `getValue()`

  `int`

  `hashCode()`

  `boolean`

  `isPercentage()`

  `long`

  `resolve(long parent)`

  `RenderLength`

  `resolveToRenderLength(long parent)`

  `String`

  `toString()`

## Field Details

### AUTO

    public static final RenderLength AUTO

### EMPTY

    public static final RenderLength EMPTY

## Constructor Details

### RenderLength

    public RenderLength(long value,
                        boolean percentage)

## Method Details

### convertToInternal

    public static RenderLength convertToInternal(CSSValue value,
                                                 LayoutContext layoutContext,
                                                 OutputProcessorMetaData metaData)

### equals

    public boolean equals(Object o)

### getValue

    public long getValue()

### hashCode

    public int hashCode()

### isPercentage

    public boolean isPercentage()

### resolve

    public long resolve(long parent)

### resolveToRenderLength

    public RenderLength resolveToRenderLength(long parent)

### toString

    public String toString()